<!-- TODO: Add follow intents where available TODO: Revisit color and hover color -->
{{ $icon_size := "32px" }}

{{ with .Param "facebook" }}
<a href="{{ . }}" target="_blank" rel="me" class="facebook" title="Facebook link" rel="noopener" aria-label="follow on Facebook——Opens in a new window">
	{{ partial "svg/facebook.svg" (dict "size" $icon_size) }}
	{{/*- partial "new-window-icon.html" . -*/}}
</a>
{{ end }}

{{ with .Param "twitter" }}
<a href="{{ . }}" target="_blank" rel="me" class="twitter" title="Twitter link" rel="noopener" aria-label="follow on Twitter——Opens in a new window">
	{{ partial "svg/twitter.svg" (dict "size" $icon_size) }}
	{{/*- partial "new-window-icon.html" . -*/}}
</a>
{{ end }}

{{ with .Param "instagram" }}
<a href="{{ . }}" target="_blank" rel="me" class="instagram" title="Instagram link" rel="noopener" aria-label="follow on Instagram——Opens in a new window">
	{{ partial "svg/instagram.svg" (dict "size" $icon_size) }}
	{{/*- partial "new-window-icon.html" . -*/}}
</a>
{{ end }}

{{ with .Param "youtube" }}
<a href="{{ . }}" target="_blank" rel="me" class="youtube" title="Youtube link" rel="noopener" aria-label="follow on Youtube——Opens in a new window">
	{{ partial "svg/youtube.svg" (dict "size" $icon_size) }}
	{{/*- partial "new-window-icon.html" . -*/}}
</a>
{{ end }}

{{ with .Param "github" }}
<a href="{{ . }}" target="_blank" rel="me" class="github" title="Github link" rel="noopener" aria-label="follow on Github——Opens in a new window">
	{{ partial "svg/github.svg" (dict "size" $icon_size) }}
	{{/*- partial "new-window-icon.html" . -*/}}
</a>
{{ end }}

{{ with .Param "linkedin" }}
<a href="{{ . }}" target="_blank" rel="me" class="linkedin" title="LinkedIn link" rel="noopener" aria-label="follow on LinkedIn——Opens in a new window">
	{{ partial "svg/linkedin.svg" (dict "size" $icon_size) }}
	{{/*- partial "new-window-icon.html" . -*/}}
</a>
{{ end }}

{{ with .Param "gitlab" }}
<a href="{{ . }}" target="_blank" rel="me" class="gitlab" title="Gitlab link" rel="noopener" aria-label="follow on Gitlab——Opens in a new window">
	{{ partial "svg/gitlab.svg" (dict "size" $icon_size) }}
	{{/*- partial "new-window-icon.html" . -*/}}
</a>
{{ end }}

{{ with .Param "medium" }}
<a href="{{ . }}" target="_blank" rel="me" class="medium" title="Medium link" rel="noopener" aria-label="follow on Medium——Opens in a new window">
	{{ partial "svg/medium.svg" (dict "size" $icon_size) }}
	{{/*- partial "new-window-icon.html" . -*/}}
</a>
{{ end }}

{{ with .Param "behance" }}
<a href="{{ . }}" target="_blank" rel="me" class="behance" title="Behance link" rel="noopener" aria-label="follow on Behance——Opens in a new window">
	{{ partial "svg/behance.svg" (dict "size" $icon_size) }}
	{{/*- partial "new-window-icon.html" . -*/}}
</a>
{{ end }}

{{ with .Param "mastodon" }}
<a href="{{ . }}" target="_blank" rel="me" class="mastodon" title="Mastodon link" rel="noopener" aria-label="follow on Mastodon——Opens in a new window">
	{{ partial "svg/mastodon.svg" (dict "size" $icon_size) }}
	{{/*- partial "new-window-icon.html" . -*/}}
</a>
{{ end }}

{{ with .Param "pixelfed" }}
<a href="{{ . }}" target="_blank" rel="me" class="pixelfed" title="Pixelfed link" rel="noopener" aria-label="follow on Pixelfed——Opens in a new window">
	{{ partial "svg/pixelfed.svg" (dict "size" $icon_size) }}
	{{/*- partial "new-window-icon.html" . -*/}}
</a>
{{ end }}